Name:  geos
Version: 3.3.6
Release: %mkrel 1
Summary: GEOS (Geometry Engine, Open Source) topology library
License: LGPLv2+
Group: Sciences/Geosciences
Url: http://trac.osgeo.org/geos

Source: http://download.osgeo.org/geos/%{name}-%{version}.tar.bz2  

BuildRequires: multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

#-----------------------------------------------------------------------------

%define major 3
%define libname	%mklibname geos %{major}

%package -n %{libname}
Summary: Libraries for GEOS
Group: Sciences/Geosciences
Provides: %{name} lib%{name}

%description -n %{libname}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgeos-%{version}.so

#-----------------------------------------------------------------------------

%define major_c	1
%define libname_c %mklibname geos_c %{major_c}

%package -n %{libname_c}
Summary: Libraries for GEOS
Group: Sciences/Geosciences

%description -n %{libname_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname_c}
%defattr(-,root,root)
%{_libdir}/libgeos_c.so.%{major_c}*

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary: Development Libraries for the GEOS topology library
Group: Sciences/Geosciences
Requires: %{libname} = %{version}
Requires: %{libname_c} = %{version}
Provides: %{name}-devel = %{version}
Provides: libgeos-devel = %{version}
Obsoletes: %{mklibname -d geos 3}

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name}
%defattr(-,root,root)
%_bindir/geos-config
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%multiarch %{multiarch_bindir}/geos-config
%exclude %{_libdir}/libgeos-%{version}.so

#-----------------------------------------------------------------------------

%define devel_name_static %mklibname %{name} -d -s

%package -n %{devel_name_static}
Summary: Development Libraries for the GEOS topology library
Group: Sciences/Geosciences
Requires: %{devel_name} = %{version}
Provides: %{name}-static-devel = %{version}
Provides: libgeos-static-devel = %{version}
Obsoletes: %{mklibname -d geos 3}
Obsoletes: %{mklibname -d -s geos 3}

%description -n %{devel_name_static}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name_static}
%defattr(-,root,root)
%_libdir/*.a


#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -Rf %buildroot
%makeinstall_std
%multiarch_binaries %buildroot%{_bindir}/geos-config

%clean
rm -Rf %buildroot






%changelog

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 3.3.6-1.mga3
+ Revision: 389214
- New version 3.3.6

* Sat Jan 12 2013 umeabot <umeabot> 3.3.4-2.mga3
+ Revision: 351402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 3.3.4-1.mga3
+ Revision: 262118
- New version 3.3.4

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 3.3.3-1.mga3
+ Revision: 253982
- New version 3.3.3

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 3.3.2-1.mga2
+ Revision: 197240
- new version 3.3.2

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 3.3.1-1.mga2
+ Revision: 161878
- new version 3.3.1

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.3.0-1.mga2
+ Revision: 149389
- new version 3.3.0

* Thu Mar 24 2011 ennael <ennael> 3.2.2-2.mga1
+ Revision: 76892
- imported package geos


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-2mdv2011.0
+ Revision: 610833
- rebuild

* Wed Apr 28 2010 Emmanuel Andry <eandry@mandriva.org> 3.2.2-1mdv2010.1
+ Revision: 540199
- New version 3.2.2

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0-1mdv2010.1
+ Revision: 484067
- update to new version 3.2.0

* Wed Jul 29 2009 Helio Chissini de Castro <helio@mandriva.com> 3.1.1-1mdv2010.0
+ Revision: 403953
- Bring back .la files. Should never, never, never been removed
- Update for new upstream version
- Split static libs in proper subpackage

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 341544
- New upstream release

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 3.0.0-5mdv2009.1
+ Revision: 334035
- really fix conflicts

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 3.0.0-4mdv2009.1
+ Revision: 334029
- fix conflicts

* Wed Aug 27 2008 Emmanuel Andry <eandry@mandriva.org> 3.0.0-3mdv2009.0
+ Revision: 276439
- apply devel policy
- use configure2_5x
- fix gcc43 build with P0 from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 139606
- New version
- use major

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 27 2007 Anssi Hannula <anssi@mandriva.org> 2.2.3-2mdv2007.0
+ Revision: 114404
- fix missing require from -devel package

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.2.3-1mdv2007.0
+ Revision: 51711
- New upstream version 2.2.3, gcc 4 compliant
- import geos-2.1.4-1mdk

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 2.1.3-1mdk
- New release 2.1.3
- mkrel, multiarch

* Sun Oct 31 2004 Michael Scherer <misc@mandrake.org> 2.0.1-1mdk
- 2.0.1
- from Jorrit Jorritsma <jjorritsma@aboveit.nl>
  - src rpm borrowed from postgis.refractions.net
  - altered specfile to make it conform Mandake cooker specs

